#include <bits/stdc++.h>
#include <string.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    string s, t;
    int br=0;
    cin >> s >> t;
    if (t.size()==1 ){
        char c = t[0];
        for (int i=0; i<s.size(); i++)
            if (s[i]==c) {
                s[i] = '*';
                br++;
            }
        cout << s << "\n" << br;
        return 0;
    }
    int ok = 1;
    for (int i=0; i<t.size() && ok; i++)
        if (t[i] != t[0]) ok = 0;
    if (ok){
        char c = t[0];
        for (int i=0; i<s.size(); i++)
            if (s[i]==c) br++;
        br -=(t.size()-1);
        int j=br;
        for (int i=0;i<s.size() && j; i++){
            if (s[i]==c) {
                s[i]='*';
                j--;
            }
        }
        cout << s << "\n" << br;
        return 0;
    }
    return 0;
}